var $ = jQuery;
$(function() {

	// Изменения базовых параметров дисциплины
    $(".AddDiscipline").click(function()
    {
		var thisObj = $(this);
    	$(this).attr("disabled", true);
		var BonusRate = $(".BonusRate").prop("checked");
		$.post(
			URLdir + 'handler/map/AddDiscipline',
			{
				'Grade': $('select.SelectGrade').val(),
				'SubjectID': $('select.SelectSubject').val(),
				'BonusRate': BonusRate,
				'ExamType': $('input.InputText').filter(':radio:checked').val(),
				'LectionCount': $('input.InputLectionCount').val(),
				'LabCount': $('input.InputLabCount').val(),
				'PracticeCount': $('input.InputPracticeCount').val(),
				'FacultyID': $('select.SelectFaculty').val()
			},
			function(data)
			{
				data = $.parseJSON(data);
				if(data.success === true) {
					EventInspector_ShowMsg('Дисциплина добавлена', 'success');
					setTimeout('location.replace("'+URLdir+'discipline/structure/'+data.DisciplineID+'")', 800); 
				} else {
					thisObj.removeAttr('disabled');
					EventInspector_ShowMsg('Ошибка при добавлении дисциплины', 'error');
				}
			}
		);
    });
	
	// В inputs часы (практ., лекц., лаб.) писать можно только цифры
	
	$('input.InputLectionCount').keydown(function(event) {
		KeyDownOnlyNumber(event);
    });
	
	$('input.InputLabCount').keydown(function(event) {
		KeyDownOnlyNumber(event);
    });
	
	$('input.InputPracticeCount').keydown(function(event) {
		KeyDownOnlyNumber(event);
    });
	
});